# Overview

Shoutrrr can be used via the CLI to both generate and verify service notification URL's, in addition to sending notifications.

```bash title="Shoutrrr run without arguments"
shoutrrr
```

```text title="Expected Output"
Shoutrrr CLI

Usage:
  shoutrrr [command]

Available Commands:
  completion  Generate the autocompletion script for the specified shell
  docs        Print documentation for services
  generate    Generates a notification service URL from user input
  help        Help about any command
  send        Send a notification using a service url
  verify      Verify the validity of a notification service URL

Flags:
  -h, --help      help for shoutrrr
  -v, --version   version for shoutrrr

Use "shoutrrr [command] --help" for more information about a command.
```
